# Get business visa eligibility and requirements

GET https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business

This endpoint receives personal information and desired travel information, analyzes and returns the possible business visa options for the given data.
 **Token scopes**: `immigration:read`

Reference: https://developer.deel.com/api/reference/endpoints/immigration/get-business-visa-eligibility-and-requirements

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /immigration/visa-requirement/business:
    get:
      operationId: get-business-visa-eligibility-and-requirements
      summary: Get business visa eligibility and requirements
      description: >-
        This endpoint receives personal information and desired travel
        information, analyzes and returns the possible business visa options for
        the given data.
         **Token scopes**: `immigration:read`
      tags:
        - subpackage_immigration
      parameters:
        - name: destination_country
          in: query
          description: >-
            The destination country code of the trip in ISO 3166-1 alpha-2
            format
          required: true
          schema:
            type: string
        - name: nationality
          in: query
          description: >-
            The nationality country code of the person in ISO 3166-1 alpha-2
            format
          required: true
          schema:
            type: string
        - name: residence_country
          in: query
          description: >-
            The residence country code of the person in ISO 3166-1 alpha-2
            format
          required: true
          schema:
            type: string
        - name: trip_start_date
          in: query
          description: The trip start date in ISO 8601 format (YYYY-MM-DD)
          required: true
          schema:
            type: string
            format: date
        - name: trip_end_date
          in: query
          description: The trip end date in ISO 8601 format (YYYY-MM-DD)
          required: true
          schema:
            type: string
            format: date
        - name: trip_reason
          in: query
          description: The reason for the trip
          required: true
          schema:
            $ref: >-
              #/components/schemas/ImmigrationVisaRequirementBusinessGetParametersTripReason
        - name: second_nationality
          in: query
          description: >-
            The second nationality country code of the person in ISO 3166-1
            alpha-2 format (optional)
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful operation.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Immigration_getBusinessVisaEligibilityAndRequirements_Response_200
        '400':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetBusinessVisaEligibilityAndRequirementsRequestBadRequestError
        '401':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '403':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetBusinessVisaEligibilityAndRequirementsRequestInternalServerError
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    ImmigrationVisaRequirementBusinessGetParametersTripReason:
      type: string
      enum:
        - INTERNAL_BUSINESS_WITH_WORK_FOR_CLIENT
        - INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT
        - MEETINGS_WITH_OR_FOR_A_CLIENT
        - MEETINGS_WITH_POTENTIAL_CLIENTS
        - NEGOTIATING_CONTRACTS_OR_SIGNING_AGREEMENTS
        - OTHER_EXTERNAL_BUSINESS
        - CONFERENCE
        - TEAM_OFFSITE
        - SPEAKING_AT_CONFERENCE_UNPAID
        - SPEAKING_AT_CONFERENCE_PAID
        - ATTENDING_INTERNAL_TRAINING
        - ATTENDING_EXTERNAL_TRAINING
        - DELIVERING_TRAINING_TO_INTERNAL_PARTICIPANTS
        - DELIVERING_TRAINING_TO_EXTERNAL_PARTICIPANTS_UNPAID
        - DELIVERING_TRAINING_TO_EXTERNAL_PARTICIPANTS_PAID
        - PARTICIPATION_IN_RESEARCH_PROJECTS_AND_STUDIES
        - ASSEMBLY_MAINTENANCE_REPAIR_INSTALLATION
        - TECHNICAL_SUPPORT_OR_SUPERVISION
        - OTHER_HANDS_ON_LABOUR
        - MARKET_RESEARCH_AND_EXPLORING_INVESTMENT_OPPORTUNITIES
        - OTHER
      title: ImmigrationVisaRequirementBusinessGetParametersTripReason
    ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataQualification:
      type: string
      enum:
        - VISA_REQUIRED
        - NO_VISA_REQUIRED
        - UNSUPPORTED
      description: >-
        Visa qualification status, whether it is required or not. It can be also
        unsupported if the country does not support business visa options.
      title: >-
        ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataQualification
    ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataEstimatedTimeline:
      type: string
      enum:
        - SIX_WEEKS
        - THREE_MONTHS
        - ONE_WEEK
        - THREE_WEEKS
        - ONE_YEAR
        - TWO_WEEKS
        - FIVE_WEEKS
        - TWO_MONTHS
        - FIVE_MONTHS
        - FOUR_MONTHS
        - SIX_MONTHS
        - FOUR_WEEKS
      description: Estimated processing timeline, in weeks, months or years
      title: >-
        ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataEstimatedTimeline
    ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        fee:
          type:
            - number
            - 'null'
          format: double
          description: Fee amount
        name:
          type:
            - string
            - 'null'
          description: Name of the visa type
        description:
          type: string
          description: Description of the visa type
        fee_currency:
          type:
            - string
            - 'null'
          description: Currency code for the fee in ISO 4217 format
        visa_type_id:
          type:
            - string
            - 'null'
          format: uuid
          description: >-
            Unique identifier of the visa type. This can be used to create a new
            business visa case on the create cases endpoint.
        qualification:
          $ref: >-
            #/components/schemas/ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataQualification
          description: >-
            Visa qualification status, whether it is required or not. It can be
            also unsupported if the country does not support business visa
            options.
        estimated_timeline:
          oneOf:
            - $ref: >-
                #/components/schemas/ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaDataEstimatedTimeline
            - type: 'null'
          description: Estimated processing timeline, in weeks, months or years
      required:
        - fee
        - name
        - description
        - fee_currency
        - visa_type_id
        - qualification
        - estimated_timeline
      title: >-
        ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaData
    Immigration_getBusinessVisaEligibilityAndRequirements_Response_200:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: Immigration_getBusinessVisaEligibilityAndRequirements_Response_200
    ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Machine-readable error code
        message:
          type: string
          description: Human-readable explanation of the error
      title: >-
        ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems
    GetBusinessVisaEligibilityAndRequirementsRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems
      title: GetBusinessVisaEligibilityAndRequirementsRequestBadRequestError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    GetBusinessVisaEligibilityAndRequirementsRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/ImmigrationVisaRequirementBusinessGetResponsesContentApplicationJsonSchemaErrorsItems
      title: GetBusinessVisaEligibilityAndRequirementsRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business"

querystring = {"destination_country":"US","nationality":"BR","residence_country":"BR","trip_start_date":"2026-01-31","trip_end_date":"2026-02-23","trip_reason":"INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT","second_nationality":"PT"}

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/immigration/visa-requirement/business?destination_country=US&nationality=BR&residence_country=BR&trip_start_date=2026-01-31&trip_end_date=2026-02-23&trip_reason=INTERNAL_BUSINESS_WITHOUT_WORK_FOR_CLIENT&second_nationality=PT")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```